<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>API Documentation</title>
  <link href="{{ .Site.BaseURL }}/css/main.css" rel="stylesheet"> <!-- Tailwind CSS -->
  <script src="https://cdn.redoc.ly/redoc/latest/bundles/redoc.standalone.js"></script>
</head>
<body class="bg-gray-100 text-gray-800">
  <div class="container mx-auto px-4 py-6">
    <h1 class="text-2xl font-bold mb-4">Proof of concept WOZ: API Documentation</h1>
    <div id="redoc-container"></div>
  </div>

  <script>
    // Haal de 'oas' parameter op uit de URL
    const urlParams = new URLSearchParams(window.location.search);
    const oasFile = urlParams.get('oas') || 'openapi1.yaml';  // Standaard naar 'openapi1.yaml'

    // Initialiseer Redoc met het OAS-bestand
    Redoc.init(oasFile, {}, document.getElementById('redoc-container'));
  </script>
</body>
</html>
